summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOz N Tiram <oz.tiram@gmail.com>2020-10-01 23:20:28 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-10-12 15:39:49 +0300
commiteaac4bad6e9370a759887dd33d02f17ebc004a1e (patch)
treead0f73d1bf228a8717f69eaba00c507f26796068
parentdev-libs/hiredis: make ssl support available (diff)
downloadgentoo-eaac4bad6e9370a759887dd33d02f17ebc004a1e.tar.gz
gentoo-eaac4bad6e9370a759887dd33d02f17ebc004a1e.tar.bz2
gentoo-eaac4bad6e9370a759887dd33d02f17ebc004a1e.zip
dev-python/pipenv: bump version to 2020.8.13
Package-Manager: Portage-3.0.4, Repoman-2.3.23 Signed-off-by: Oz Tiram <oz.tiram@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/17742 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--dev-python/pipenv/Manifest1
-rw-r--r--dev-python/pipenv/pipenv-2020.8.13.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index 85e36860fe5..0019ce0e16b 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1 +1,2 @@
DIST pipenv-2020.6.2.tar.gz 11571734 BLAKE2B bc50535f215b11d284eeec546722a144cfdfeeab6abab8eae51c727c054865f274ac970dc61c23cce7db19ac28a77e44a84453743ba2dc75068feb3a47a19190 SHA512 671765b9e77a18039668eb500989de45c8bd4f15948ee914eb241985098562ebd382168a535a449ac5d216f07327b6787eb8f828b5a6499ef6e77fe5a036441e
+DIST pipenv-2020.8.13.tar.gz 11573493 BLAKE2B ac6c6f0336f0c675f73fbecfdefe158eb2a53b5aa4559850b3c9a050404d9d18b0ff2ca3cb62031da027937244a6bbb0d4c1ec433073e429518ec0ea908cb12e SHA512 90ccaf386bc68d856ee9c645084cb65c4213902a8c87e2059cc2274b88d922c3b02c58c15d05945e1f61e8b816ef92a11672cadaf125143bd5019ab25ff0b19e
diff --git a/dev-python/pipenv/pipenv-2020.8.13.ebuild b/dev-python/pipenv/pipenv-2020.8.13.ebuild
new file mode 100644
index 00000000000..d9f0436d554
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2020.8.13.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/pip-18.0[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-clone-0.2.5[${PYTHON_USEDEP}]
+ "
+
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ <dev-python/pytest-5[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ # remove vendored version of PyYAML that is backported to Python2
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${S}/${PN}/patched/yaml2/" || die
+ # disable running of unittests in parallel with xdist
+ sed -i 's/addopts = -ra -n auto/;&/g' setup.cfg
+ sed -i 's/plugins = xdist/;&/g' setup.cfg
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vvv -x -m "not cli and not needs_internet" tests/unit/ || die
+}